Package org.apache.sling.jcr.maintenance

## Class RepositoryManagementUtil

- java.lang.Object
- - org.apache.sling.jcr.maintenance.RepositoryManagementUtil

    public class RepositoryManagementUtil
    extends Object

Utilities for interacting with the RepositoryManagementMBean

See Also:
  `RepositoryManagementMBean`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `getMessage​(CompositeData status)`
`static org.apache.jackrabbit.oak.api.jmx.RepositoryManagementMBean.StatusCode` `getStatusCode​(CompositeData status)`
`static boolean` `isRunning​(CompositeData status)`
`static boolean` `isValid​(CompositeData status)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### isRunning

    public static boolean isRunning​(CompositeData status)

#### isValid

    public static boolean isValid​(CompositeData status)

#### getStatusCode

    public static org.apache.jackrabbit.oak.api.jmx.RepositoryManagementMBean.StatusCode getStatusCode​(CompositeData status)

#### getMessage

    public static String getMessage​(CompositeData status)